Loading...
Searching...
No Matches
PROBEHANDLERS

## Data Structures

struct | oval_ph
struct | oval_phtbl

## Macros

#define | PROBE_HANDLER_ACT_INIT 0
#define | PROBE_HANDLER_ACT_FREE 1
#define | PROBE_HANDLER_ACT_OPEN 2
#define | PROBE_HANDLER_ACT_EVAL 3
#define | PROBE_HANDLER_ACT_RESET 4
#define | PROBE_HANDLER_ACT_CLOSE 5
#define | PROBE_HANDLER_ACT_ABORT 6
#define | PROBE_HANDLER_IGNORE NULL

## Typedefs

typedef int | oval_probe_handler_t(oval_subtype_t, void *, int,...)
| Type of the handler function.
typedef struct oval_ph | oval_ph_t
typedef struct oval_phtbl | oval_phtbl_t

## Functions

oval_phtbl_t * | oval_phtbl_new (void)
void | oval_phtbl_free (oval_phtbl_t *phtbl)
oval_ph_t * | oval_probe_handler_get (oval_phtbl_t *phtbl, oval_subtype_t type)
int | oval_probe_handler_set (oval_phtbl_t *phtbl, oval_subtype_t type, oval_probe_handler_t *handler, void *uptr)

## Detailed Description

## Typedef Documentation

## oval_probe_handler_t

typedef int oval_probe_handler_t(oval_subtype_t, void *, int,...)

Type of the handler function.

This function takes care of handling all the actions defined bellow, that is: initialization, freeing, opening, evaluating, reseting and closing (whatever that means in your particular case).